package model

import (
	"time"
)

type SessionView struct {
	CallbackTime time.Time `json:"callback_time"` // im回调时间
	CreatedTime  time.Time `json:"created_time"`  // CreatedTime
	I            int       `json:"i"`             // I
	Id           int64     `json:"id"`            // id
	LogicDel     int       `json:"logic_del"`     // LogicDel
	OtherUserId  int64     `json:"other_user_id"` // other_user_id
	SessionId    int64     `json:"session_id"`    // session_id
	SessionUid   string    `json:"session_uid"`   // session_uid
	UpdatedTime  time.Time `json:"updated_time"`  // UpdatedTime
	UserId       int64     `json:"user_id"`       // user_id
}

func (s *SessionView) TableName() string {
	return "session_view"
}
