package model

import (
	"time"
)

const (
	UserHeadwearYesUsing int = 1
	UserHeadwearNoUsing  int = 0
)

type UserHeadwear struct {
	CreatedTime time.Time `json:"created_time"` // 新增时间
	EndTime     time.Time `json:"end_time"`     // 有效截至时间
	HeadwearId  int64     `json:"headwear_id"`  // 头饰ID
	Id          int64     `json:"id"`           // id
	UpdatedTime time.Time `json:"updated_time"` // 更新时间
	UserId      int64     `json:"user_id"`      // 用户ID
	Using       int       `json:"using"`        // Using
}

func (u *UserHeadwear) TableName() string {
	return "user_headwear"
}
