package model

import (
	"time"
)

type UserTradeUnion struct {
	AgentId           int64     `json:"agent_id"`           // 不存在则为0
	CreatedTime       time.Time `json:"created_time"`       // 新增时间
	Id                int64     `json:"id"`                 // id
	MatchNotification int       `json:"match_notification"` // MatchNotification
	StarchatId        int64     `json:"starchat_id"`        // StarchatId
	UpdatedTime       time.Time `json:"updated_time"`       // 更新时间
	UserId            int64     `json:"user_id"`            // 用户ID
}

func (u *UserTradeUnion) TableName() string {
	return "user_trade_union"
}
