package service

// IsVip 检查某用户是否Vip
func (s *UserService) IsVip(userId int64) (bool, int64, error) {
	uv, err := s.dao.GetVip(userId)
	if err != nil {
		return false, 0, err
	}
	if uv == nil {
		return false, 0, nil
	}
	ts := uv.ExpireAt.Unix()
	return true, ts, nil
}
